## ExoCellRendererEllipsizedText

ExoCellRendererEllipsizedText — Renders text in a cell

## Functions

GtkCellRenderer * | exo_cell_renderer_ellipsized_text_new ()

## Properties

gboolean | follow-state | Read / Write

## Types and Values

struct | ExoCellRendererEllipsizedText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkCellRenderer
                    ╰── GtkCellRendererText
                        ╰── ExoCellRendererEllipsizedText

## Includes

    #include <exo/exo.h>

## Description

The ExoCellRendererEllipsizedText renders a given text in its cell, using the font, color and style information provided by its properties (which are actually inherited from GtkCellRendererText).

Despite the rather confusing name of this class, it is mainly useful to render text in an ExoIconView (or a GtkIconView), which require the renderers to actually draw the state indicators. State indicators will be drawn only if the

follow-state

property is `TRUE`.

## Functions

### exo_cell_renderer_ellipsized_text_new ()

    GtkCellRenderer *
    exo_cell_renderer_ellipsized_text_new (void);

Creates a new ExoCellRendererEllipsizedText. Adjust rendering parameters using gobject properties, which can be set globally via `g_object_set()`. Also, with GtkCellLayout and GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel.

#### Returns

the newly allocated ExoCellRendererEllipsizedText.

## Types and Values

### struct ExoCellRendererEllipsizedText

    struct ExoCellRendererEllipsizedText;

The ExoIconCellRendererEllipsizedText struct contains only private fields and should not be directly accessed.

## Property Details

### The `“follow-state”` property

      “follow-state”             gboolean

Specifies whether the text renderer should render the text based on the selection state of the items. This is necessary for ExoIconView which doesn't draw any item state indicators itself.

Flags: Read / Write

Default value: FALSE

Since: 0.3.1.9

## See Also

GtkCellRendererText,

ExoIconView